Subject: Is Saudi Arabia more developed than India?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Sat, 03 Apr 2021 12:01:08 +0000

Algaily's Digest
Your Quora Digest

-----

Question: Is Saudi Arabia more developed than India?

Answer from Granville Phillips

In a limited sense yes. In a more general sense no. Per capita income is higher, medical services are better. However Saudi lacks any meaningful diversity with its economy and
Read More: http://www.quora.com/Is-Saudi-Arabia-more-developed-than-India?top_ans=26482275
-----
Question: Hi Kathryn, one of my friend’s parents applied for US visitor visa and were rejected more than five times. More likely, it was due to the discrepancy in the documents they submitted each time. What’s the possibility of visa being rejected next time?

Answer from Kathryn Berck

Documents are not required for a US tourist visa. What is required is a few valid reasons to visit, and a few excellent reasons to go back home again. If that couple has been 
Read More: http://www.quora.com/Hi-Kathryn-one-of-my-friend-s-parents-applied-for-US-visitor-visa-and-were-rejected-more-than-five-times-More-likely-it-was-due-to-the-discrepancy-in-the-documents-they-submitted-each-time-What-s-the-possibility-of?top_ans=236096415
-----
Question: As an Indian, what is a safe retirement corpus that one should aim given that I'm 30?

Answer from Kanthaswamy Balasubramaniam

Lets say you are 30 years old and you dont want to work anymore and wish to retire and live a comfortable life.

How much money would you need?

Lets say you are married with 
Read More: http://www.quora.com/As-an-Indian-what-is-a-safe-retirement-corpus-that-one-should-aim-given-that-Im-30?top_ans=261095395
-----
Question: Is it true that Microsoft pays 45 LPA to the freshers from NIT's or IIT's in India?

Answer from Sahul Sirpa

Yes, that's true. Most of the firms pay in that range. Now you will think that these people will earn 45/12 = 3.75lakhs per month. But that's not the truth.

The truth is the 
Read More: http://www.quora.com/Is-it-true-that-Microsoft-pays-45-LPA-to-the-freshers-from-NITs-or-IITs-in-India?top_ans=248361536
-----
Question: Why did Yash Raj Films ban Shraddha Kapoor from their movies?

Answer from Sweety Kumari

Shraddha had a three film deal with YRF. Apparently after YRF's Love Ka The End, Raj Films asked Shraddha to film Aurangzeb as per the contract. But Shraddha chose Aashiqui 2 
Read More: http://www.quora.com/Why-did-Yash-Raj-Films-ban-Shraddha-Kapoor-from-their-movies?top_ans=239534897
-----
Question: Are there any jobs for English speakers in Germany?

Answer from Ron Wiseman

Beware of English-speaking jobs in Germany. They aren’t what you believe they are.

I took a job in Germany as a US expat. The company promised me that English was their corpo
Read More: http://www.quora.com/Are-there-any-jobs-for-English-speakers-in-Germany?top_ans=142538181
-----
Question: What is the biggest no-no when visiting an Indian village?

Answer from Samantha Kannan

When I was teaching in a village in Kerala, another foreigner came after a couple of months.

She was from Canada and super nice, we got along great and explored the area on o
Read More: http://www.quora.com/What-is-the-biggest-no-no-when-visiting-an-Indian-village?top_ans=269264085
-----
Question: Why is Canada so empty? I’ve lived in bc downtown Vancouver, and been to other cities, Montreal which was better because people go out, and now Mississauga city Toronto, I can never find anyone outside in Mississauga just a few kids many families

Answer from Steven Haddock

Downtown Toronto, Vancouver and Montreal were developed well before there were cars. As such, they have buildings that are close together that allows people to walk from place
Read More: http://www.quora.com/Why-is-Canada-so-empty-I-ve-lived-in-bc-downtown-Vancouver-and-been-to-other-cities-Montreal-which-was-better-because-people-go-out-and-now-Mississauga-city-Toronto-I-can-never-find-anyone-outside-in-Mississauga?top_ans=248458660
-----
Question: I am working at BOI since 2015, i.e. for 6 years now. I have been selected for the SBI CBO interview. Will it be a good decision to join SBI’s CBO?

Answer from Mahi Pawar

First of all, congratulations, second, be clear in terms of your goals. Ask yourself mentioned questions:

1. You wish to join SBI because of privatization and you think you a
Read More: http://www.quora.com/I-am-working-at-BOI-since-2015-i-e-for-6-years-now-I-have-been-selected-for-the-SBI-CBO-interview-Will-it-be-a-good-decision-to-join-SBI-s-CBO?top_ans=265082812
-----
Question: Why is Urvashi Rautela not getting any high budget Bollywood movie?

Answer from Aditya Simha (आदित्य सिम्हा)

Urvashi Rautela is not getting any big budget Bollywood movies because of two primary reasons. The first reason is that she does not have any powerful mentors looking out for 
Read More: http://www.quora.com/Why-is-Urvashi-Rautela-not-getting-any-high-budget-Bollywood-movie?top_ans=271068512
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&et=2&id=83cbad81e4ba4a859b4aefb518946216&uid=oaI5nJBvtz4

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=83cbad81e4ba4a859b4aefb518946216&t=1617451267380005&token=249a72e606e51781a7325ed74250f95d0c4c5cd1271227d1c98bc8e9724dc393066a332839648d96bf988e85b7912e48ba88a0eefaae170019fb7f5b8052b302&type=2&uid=1229773278